---
title: "Change admin/moderator role"
url: "https://docs.signnow.com/docs/organization/operations/put-v2-organizations-org-id-admins-user-id"
type: "endpoint"
section: "organization"
slug: "organization/operations/put-v2-organizations-org-id-admins-user-id"
method: "PUT"
path: "/v2/organizations/{org_id}/admins/{user_id}"
operation_id: "put-v2-organizations-org-id-admins-user-id"
authorization: "bearer"
---

# Change admin/moderator role

`PUT /v2/organizations/{org_id}/admins/{user_id}`

Allows users to manage the admin or moderator role of another user.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the organization where the role is changed. |
| `user_id` | string | Yes | ID of the user whose role is changed. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "type"
  ],
  "properties": {
    "type": {
      "type": "string",
      "minLength": 1,
      "description": "The type of role that is assigned. Possible values: `moderator`, `admin`."
    }
  },
  "x-examples": {
    "example-1": {
      "type": "moderator | admin"
    }
  },
  "description": ""
}
```

**Example** (`application/json`)

```json
{
  "type": "moderator"
}
```

## Responses

### 204

Successful response. The admin type is changed.

### 400

* Wrong, expired, or missing token.
* `type` is missing.
* `type` isn't `admin` or `moderator`.

**Example** (`Wrong type`)

```json
{
  "errors": [
    {
      "code": 12004012,
      "message": "The `type` should be equal to `moderator` or admin."
    }
  ]
}
```

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Missing type`)

```json
{
  "errors": [
    {
      "code": 12004010,
      "message": "The `type` field is required."
    }
  ]
}
```

### 403

* The user isn't an admin or moderator of the organization.
* A moderator tries to make a user an admin.

**Example** (`Moderator adds an admin`)

```json
{
  "errors": [
    {
      "code": 12004007,
      "message": "Access denied."
    }
  ]
}
```

**Example** (`Not an admin or moderator`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

* The admin doesn't exist in the organization.
* The organization doesn't exist or isn't active.

**Example** (`Admin not found`)

```json
{
  "errors": [
    {
      "code": 12004020,
      "message": "Organization admin `0aa11112b0ed40aab8cab111a76a6eea07f0000e` is not found."
    }
  ]
}
```

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `0aa11112b0ed40aab8cab111a76a6eea07f0000e` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/organizations/{org_id}/admins/{user_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"type": "moderator"}'
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/put-v2-organizations-org-id-admins-user-id*
